Subject: Re: dts file for MPC8343EA

From: Scott Wood <[email-masked]>
Date: Fri, 11 Dec 2009 12:46:51 -0600

Junita Ajith wrote:
> Hi Scott:
> 
> I am still stuck at Linux kernel booting in MPC8343EA based board.
> 
> I have disabled "Ethernet, PCI, USB, dma engines " in the *.dts file and 
> also in the kernel config.
> I am using MPC8349emitxgp.dts  ; enabled MPC8349ITX support in kernel 
> config also. In fact, I tried building MPC8349emITX; MPC8349MDS also. 
> Same behaviour!
> 
> With this, the kernel boots up (explicitly passing the DTB file and 
> cuImage NEVER worked) and hangs after
> 
> I am using Linux-V-2.6.27.18 and using powerpc-e300c3-gnu  toolchain  - 
> gcc-4.1.69-eglibc-2.5.69-1 to build u-boot-1.3.2 & linux.
> 
> With this, the kernel boots up (explicitly passing the DTB file and 
> cuImage NEVER worked) and hangs after printing
> "Calibrating delay loop... 133.12 BogoMIPS (lpj=266240)"
> 
> With a few debug printks looks like the kernel hangs in
> "cpu_idle" in --main/init.c

Try to find out what threads are blocked where.

There may also have been a problem transitioning to the normal serial 
driver.  Do you have an external debugger than can extract the log buffer?

-Scott